diff --git a/test/mom_explorer/momfederateambassador.h b/test/mom_explorer/momfederateambassador.h
index df8a81cc..d668a836 100644
--- a/test/mom_explorer/momfederateambassador.h
+++ b/test/mom_explorer/momfederateambassador.h
@@ -33,111 +33,107 @@ public:
     void publishAndsubscribeInteractions();
 
     // 4.4
-    virtual void connectionLost(std::wstring const& faultDescription) throw(FederateInternalError) override;
+    virtual void connectionLost(std::wstring const& faultDescription) override;
 
     // 4.8
     virtual void
-    reportFederationExecutions(FederationExecutionInformationVector const& theFederationExecutionInformationList) throw(
-        FederateInternalError) override;
+    reportFederationExecutions(FederationExecutionInformationVector const& theFederationExecutionInformationList) override;
 
     // 4.12
     virtual void
-    synchronizationPointRegistrationSucceeded(std::wstring const& label) throw(FederateInternalError) override;
+    synchronizationPointRegistrationSucceeded(std::wstring const& label) override;
 
     virtual void synchronizationPointRegistrationFailed(
-        std::wstring const& label, SynchronizationPointFailureReason reason) throw(FederateInternalError) override;
+        std::wstring const& label, SynchronizationPointFailureReason reason) override;
 
     // 4.13
     virtual void
     announceSynchronizationPoint(std::wstring const& label,
-                                 VariableLengthData const& theUserSuppliedTag) throw(FederateInternalError) override;
+                                 VariableLengthData const& theUserSuppliedTag) override;
 
     // 4.15
     virtual void federationSynchronized(std::wstring const& label,
-                                        FederateHandleSet const& failedToSyncSet) throw(FederateInternalError) override;
+                                        FederateHandleSet const& failedToSyncSet) override;
 
     // 4.17
-    virtual void initiateFederateSave(std::wstring const& label) throw(FederateInternalError) override;
+    virtual void initiateFederateSave(std::wstring const& label) override;
 
     virtual void initiateFederateSave(std::wstring const& label,
-                                      LogicalTime const& theTime) throw(FederateInternalError) override;
+                                      LogicalTime const& theTime) override;
 
     // 4.20
-    virtual void federationSaved() throw(FederateInternalError) override;
+    virtual void federationSaved() override;
 
-    virtual void federationNotSaved(SaveFailureReason theSaveFailureReason) throw(FederateInternalError) override;
+    virtual void federationNotSaved(SaveFailureReason theSaveFailureReason) override;
 
     // 4.23
-    virtual void federationSaveStatusResponse(FederateHandleSaveStatusPairVector const& theFederateStatusVector) throw(
-        FederateInternalError) override;
+    virtual void federationSaveStatusResponse(FederateHandleSaveStatusPairVector const& theFederateStatusVector) override;
 
     // 4.25
-    virtual void requestFederationRestoreSucceeded(std::wstring const& label) throw(FederateInternalError) override;
+    virtual void requestFederationRestoreSucceeded(std::wstring const& label) override;
 
-    virtual void requestFederationRestoreFailed(std::wstring const& label) throw(FederateInternalError) override;
+    virtual void requestFederationRestoreFailed(std::wstring const& label) override;
 
     // 4.26
-    virtual void federationRestoreBegun() throw(FederateInternalError) override;
+    virtual void federationRestoreBegun() override;
 
     // 4.27
     virtual void initiateFederateRestore(std::wstring const& label,
                                          std::wstring const& federateName,
-                                         FederateHandle handle) throw(FederateInternalError) override;
+                                         FederateHandle handle) override;
 
     // 4.29
-    virtual void federationRestored() throw(FederateInternalError) override;
+    virtual void federationRestored() override;
 
     virtual void
-    federationNotRestored(RestoreFailureReason theRestoreFailureReason) throw(FederateInternalError) override;
+    federationNotRestored(RestoreFailureReason theRestoreFailureReason) override;
 
     // 4.32
     virtual void federationRestoreStatusResponse(
-        FederateRestoreStatusVector const& theFederateRestoreStatusVector) throw(FederateInternalError) override;
+        FederateRestoreStatusVector const& theFederateRestoreStatusVector) override;
 
     /////////////////////////////////////
     // Declaration Management Services //
     /////////////////////////////////////
 
     // 5.10
-    virtual void startRegistrationForObjectClass(ObjectClassHandle theClass) throw(FederateInternalError) override;
+    virtual void startRegistrationForObjectClass(ObjectClassHandle theClass) override;
 
     // 5.11
-    virtual void stopRegistrationForObjectClass(ObjectClassHandle theClass) throw(FederateInternalError) override;
+    virtual void stopRegistrationForObjectClass(ObjectClassHandle theClass) override;
 
     // 5.12
-    virtual void turnInteractionsOn(InteractionClassHandle theHandle) throw(FederateInternalError) override;
+    virtual void turnInteractionsOn(InteractionClassHandle theHandle) override;
 
     // 5.13
-    virtual void turnInteractionsOff(InteractionClassHandle theHandle) throw(FederateInternalError) override;
+    virtual void turnInteractionsOff(InteractionClassHandle theHandle) override;
 
     ////////////////////////////////
     // Object Management Services //
     ////////////////////////////////
 
     // 6.3
-    virtual void objectInstanceNameReservationSucceeded(std::wstring const& theObjectInstanceName) throw(
-        FederateInternalError) override;
+    virtual void objectInstanceNameReservationSucceeded(std::wstring const& theObjectInstanceName) override;
 
-    virtual void objectInstanceNameReservationFailed(std::wstring const& theObjectInstanceName) throw(
-        FederateInternalError) override;
+    virtual void objectInstanceNameReservationFailed(std::wstring const& theObjectInstanceName) override;
 
     // 6.6
     virtual void multipleObjectInstanceNameReservationSucceeded(
-        std::set<std::wstring> const& theObjectInstanceNames) throw(FederateInternalError) override;
+        std::set<std::wstring> const& theObjectInstanceNames) override;
 
     virtual void multipleObjectInstanceNameReservationFailed(
-        std::set<std::wstring> const& theObjectInstanceNames) throw(FederateInternalError) override;
+        std::set<std::wstring> const& theObjectInstanceNames) override;
 
     // 6.9
     virtual void
     discoverObjectInstance(ObjectInstanceHandle theObject,
                            ObjectClassHandle theObjectClass,
-                           std::wstring const& theObjectInstanceName) throw(FederateInternalError) override;
+                           std::wstring const& theObjectInstanceName) override;
 
     virtual void discoverObjectInstance(ObjectInstanceHandle theObject,
                                         ObjectClassHandle theObjectClass,
                                         std::wstring const& theObjectInstanceName,
-                                        FederateHandle producingFederate) throw(FederateInternalError) override;
+                                        FederateHandle producingFederate) override;
 
     // 6.11
     virtual void reflectAttributeValues(ObjectInstanceHandle theObject,
@@ -145,7 +141,7 @@ public:
                                         VariableLengthData const& theUserSuppliedTag,
                                         OrderType sentOrder,
                                         TransportationType theType,
-                                        SupplementalReflectInfo theReflectInfo) throw(FederateInternalError) override;
+                                        SupplementalReflectInfo theReflectInfo) override;
 
     virtual void reflectAttributeValues(ObjectInstanceHandle theObject,
                                         AttributeHandleValueMap const& theAttributeValues,
@@ -154,7 +150,7 @@ public:
                                         TransportationType theType,
                                         LogicalTime const& theTime,
                                         OrderType receivedOrder,
-                                        SupplementalReflectInfo theReflectInfo) throw(FederateInternalError) override;
+                                        SupplementalReflectInfo theReflectInfo) override;
 
     virtual void reflectAttributeValues(ObjectInstanceHandle theObject,
                                         AttributeHandleValueMap const& theAttributeValues,
@@ -164,7 +160,7 @@ public:
                                         LogicalTime const& theTime,
                                         OrderType receivedOrder,
                                         MessageRetractionHandle theHandle,
-                                        SupplementalReflectInfo theReflectInfo) throw(FederateInternalError) override;
+                                        SupplementalReflectInfo theReflectInfo) override;
 
     // 6.13
     virtual void receiveInteraction(InteractionClassHandle theInteraction,
@@ -172,7 +168,7 @@ public:
                                     VariableLengthData const& theUserSuppliedTag,
                                     OrderType sentOrder,
                                     TransportationType theType,
-                                    SupplementalReceiveInfo theReceiveInfo) throw(FederateInternalError) override;
+                                    SupplementalReceiveInfo theReceiveInfo) override;
 
     virtual void receiveInteraction(InteractionClassHandle theInteraction,
                                     ParameterHandleValueMap const& theParameterValues,
@@ -181,7 +177,7 @@ public:
                                     TransportationType theType,
                                     LogicalTime const& theTime,
                                     OrderType receivedOrder,
-                                    SupplementalReceiveInfo theReceiveInfo) throw(FederateInternalError) override;
+                                    SupplementalReceiveInfo theReceiveInfo) override;
 
     virtual void receiveInteraction(InteractionClassHandle theInteraction,
                                     ParameterHandleValueMap const& theParameterValues,
@@ -191,20 +187,20 @@ public:
                                     LogicalTime const& theTime,
                                     OrderType receivedOrder,
                                     MessageRetractionHandle theHandle,
-                                    SupplementalReceiveInfo theReceiveInfo) throw(FederateInternalError) override;
+                                    SupplementalReceiveInfo theReceiveInfo) override;
 
     // 6.15
     virtual void removeObjectInstance(ObjectInstanceHandle theObject,
                                       VariableLengthData const& theUserSuppliedTag,
                                       OrderType sentOrder,
-                                      SupplementalRemoveInfo theRemoveInfo) throw(FederateInternalError) override;
+                                      SupplementalRemoveInfo theRemoveInfo) override;
 
     virtual void removeObjectInstance(ObjectInstanceHandle theObject,
                                       VariableLengthData const& theUserSuppliedTag,
                                       OrderType sentOrder,
                                       LogicalTime const& theTime,
                                       OrderType receivedOrder,
-                                      SupplementalRemoveInfo theRemoveInfo) throw(FederateInternalError) override;
+                                      SupplementalRemoveInfo theRemoveInfo) override;
 
     virtual void removeObjectInstance(ObjectInstanceHandle theObject,
                                       VariableLengthData const& theUserSuppliedTag,
@@ -212,59 +208,59 @@ public:
                                       LogicalTime const& theTime,
                                       OrderType receivedOrder,
                                       MessageRetractionHandle theHandle,
-                                      SupplementalRemoveInfo theRemoveInfo) throw(FederateInternalError) override;
+                                      SupplementalRemoveInfo theRemoveInfo) override;
 
     // 6.17
     virtual void attributesInScope(ObjectInstanceHandle theObject,
-                                   AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+                                   AttributeHandleSet const& theAttributes) override;
 
     // 6.18
     virtual void attributesOutOfScope(ObjectInstanceHandle theObject,
-                                      AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+                                      AttributeHandleSet const& theAttributes) override;
 
     // 6.20
     virtual void
     provideAttributeValueUpdate(ObjectInstanceHandle theObject,
                                 AttributeHandleSet const& theAttributes,
-                                VariableLengthData const& theUserSuppliedTag) throw(FederateInternalError) override;
+                                VariableLengthData const& theUserSuppliedTag) override;
 
     // 6.21
     virtual void
     turnUpdatesOnForObjectInstance(ObjectInstanceHandle theObject,
-                                   AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+                                   AttributeHandleSet const& theAttributes) override;
 
     virtual void
     turnUpdatesOnForObjectInstance(ObjectInstanceHandle theObject,
                                    AttributeHandleSet const& theAttributes,
-                                   std::wstring const& updateRateDesignator) throw(FederateInternalError) override;
+                                   std::wstring const& updateRateDesignator) override;
 
     // 6.22
     virtual void
     turnUpdatesOffForObjectInstance(ObjectInstanceHandle theObject,
-                                    AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+                                    AttributeHandleSet const& theAttributes) override;
 
     // 6.24
     virtual void confirmAttributeTransportationTypeChange(
         ObjectInstanceHandle theObject,
         AttributeHandleSet theAttributes,
-        TransportationType theTransportation) throw(FederateInternalError) override;
+        TransportationType theTransportation) override;
 
     // 6.26
     virtual void
     reportAttributeTransportationType(ObjectInstanceHandle theObject,
                                       AttributeHandle theAttribute,
-                                      TransportationType theTransportation) throw(FederateInternalError) override;
+                                      TransportationType theTransportation) override;
 
     // 6.28
     virtual void confirmInteractionTransportationTypeChange(
         InteractionClassHandle theInteraction,
-        TransportationType theTransportation) throw(FederateInternalError) override;
+        TransportationType theTransportation) override;
 
     // 6.30
     virtual void
     reportInteractionTransportationType(FederateHandle federateHandle,
                                         InteractionClassHandle theInteraction,
-                                        TransportationType theTransportation) throw(FederateInternalError) override;
+                                        TransportationType theTransportation) override;
 
     ///////////////////////////////////
     // Ownership Management Services //
@@ -274,60 +270,60 @@ public:
     virtual void requestAttributeOwnershipAssumption(
         ObjectInstanceHandle theObject,
         AttributeHandleSet const& offeredAttributes,
-        VariableLengthData const& theUserSuppliedTag) throw(FederateInternalError) override;
+        VariableLengthData const& theUserSuppliedTag) override;
 
     // 7.5
     virtual void
     requestDivestitureConfirmation(ObjectInstanceHandle theObject,
-                                   AttributeHandleSet const& releasedAttributes) throw(FederateInternalError) override;
+                                   AttributeHandleSet const& releasedAttributes) override;
 
     // 7.7
     virtual void attributeOwnershipAcquisitionNotification(
         ObjectInstanceHandle theObject,
         AttributeHandleSet const& securedAttributes,
-        VariableLengthData const& theUserSuppliedTag) throw(FederateInternalError) override;
+        VariableLengthData const& theUserSuppliedTag) override;
 
     // 7.10
     virtual void
     attributeOwnershipUnavailable(ObjectInstanceHandle theObject,
-                                  AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+                                  AttributeHandleSet const& theAttributes) override;
 
     // 7.11
     virtual void requestAttributeOwnershipRelease(
         ObjectInstanceHandle theObject,
         AttributeHandleSet const& candidateAttributes,
-        VariableLengthData const& theUserSuppliedTag) throw(FederateInternalError) override;
+        VariableLengthData const& theUserSuppliedTag) override;
 
     // 7.16
     virtual void confirmAttributeOwnershipAcquisitionCancellation(
-        ObjectInstanceHandle theObject, AttributeHandleSet const& theAttributes) throw(FederateInternalError) override;
+        ObjectInstanceHandle theObject, AttributeHandleSet const& theAttributes) override;
 
     // 7.18
     virtual void informAttributeOwnership(ObjectInstanceHandle theObject,
                                           AttributeHandle theAttribute,
-                                          FederateHandle theOwner) throw(FederateInternalError) override;
+                                          FederateHandle theOwner) override;
 
     virtual void attributeIsNotOwned(ObjectInstanceHandle theObject,
-                                     AttributeHandle theAttribute) throw(FederateInternalError) override;
+                                     AttributeHandle theAttribute) override;
 
     virtual void attributeIsOwnedByRTI(ObjectInstanceHandle theObject,
-                                       AttributeHandle theAttribute) throw(FederateInternalError) override;
+                                       AttributeHandle theAttribute) override;
 
     //////////////////////////////
     // Time Management Services //
     //////////////////////////////
 
     // 8.3
-    virtual void timeRegulationEnabled(LogicalTime const& theFederateTime) throw(FederateInternalError) override;
+    virtual void timeRegulationEnabled(LogicalTime const& theFederateTime) override;
 
     // 8.6
-    virtual void timeConstrainedEnabled(LogicalTime const& theFederateTime) throw(FederateInternalError) override;
+    virtual void timeConstrainedEnabled(LogicalTime const& theFederateTime) override;
 
     // 8.13
-    virtual void timeAdvanceGrant(LogicalTime const& theTime) throw(FederateInternalError) override;
+    virtual void timeAdvanceGrant(LogicalTime const& theTime) override;
 
     // 8.22
-    virtual void requestRetraction(MessageRetractionHandle theHandle) throw(FederateInternalError) override;
+    virtual void requestRetraction(MessageRetractionHandle theHandle) override;
 
 private:
     RTIambassador& my_ambassador;
diff --git a/test/testFederate/testFederate.hh b/test/testFederate/testFederate.hh
index 2cae67b2..51f25947 100644
--- a/test/testFederate/testFederate.hh
+++ b/test/testFederate/testFederate.hh
@@ -67,11 +67,11 @@ public:
     };
 
 #ifdef HLA13
-    virtual ~testFederate() throw(RTI::FederateInternalError)
+    virtual ~testFederate()
 #elif IEEE1516_2000
-    virtual ~testFederate() throw()
+    virtual ~testFederate() noexcept
 #elif IEEE1516_2010
-    virtual ~testFederate() throw()
+    virtual ~testFederate() noexcept
 #endif
     {
         if (NULL != rtiAmb)
-- 
2.25.1

